%define aurox_ver 9.3
%define rel 1


%define name SDL_ttf
%define version 2.0.6

Summary: Simple DirectMedia Layer - Sample TrueType Font Library
Name: %{name}
Version: %{version}
Release: %{aurox_ver}.aur.%{rel}
Source0: %{name}-%{version}.tar.gz
Copyright: LGPL
Group: System Environment/Libraries
BuildRoot: /var/tmp/%{name}-buildroot
Prefix: %{_prefix}
BuildRequires: SDL-devel >= 1.2.4
BuildRequires: freetype-devel

%description
This library allows you to use TrueType fonts to render text in SDL
applications.

%package devel
Summary: Libraries, includes and more to develop SDL applications.
Group: Development/Libraries
Requires: %{name}
Requires: SDL-devel

%description devel
This library allows you to use TrueType fonts to render text in SDL
applications.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/%{prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/lib/*a
%{prefix}/lib/lib*.so
%{prefix}/include/SDL/

%changelog
* Tue Jan 27 2004 Aurox Team <aurox@aurox.org> 0:2.0.6-9.3.aur.1
- no more shipping font demos
- import to svn
- new release 2.0.6

* Mon Apr 07 2003 Robert Glowczynski <robertg@software.com.pl>
- rename showfont and package it
- move *.so to devel rpm
- rebuild for Aurox 9

* Wed Jan 19 2000 Sam Lantinga 
- converted to get package information from configure

* Sun Jan 16 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file

